Langsung ke konten utama
PATCH
/
v3
/
stores
/
{id}
Update a business store
curl --request PATCH \
  --url https://api.scalev.com/v3/stores/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "is_public": true,
  "custom_domain_id": 123,
  "warehouse_id": 123,
  "logo": "<string>",
  "is_auto_expire": true,
  "auto_expire_days": 123,
  "is_discount_editable": true,
  "is_unique_code": true,
  "max_unique_code_amount": 123,
  "is_postal_code": true,
  "is_customer_otp_required": true,
  "is_manual_shipping_cost": true,
  "is_courier_required": true,
  "is_transferproof_required": true,
  "is_dropshipping_allowed": true,
  "is_moota_enabled": true,
  "email_notification_statuses": [
    "<string>"
  ],
  "email_reply_to_id": 123,
  "is_email_new_order": true,
  "is_email_notifications": true,
  "whatsapp_notification_statuses": [
    "<string>"
  ],
  "is_whatsapp_new_order": true,
  "is_whatsapp_payment_d1_fu": true,
  "is_whatsapp_payment_d2_fu": true,
  "is_whatsapp_payment_last_fu": true,
  "is_whatsapp_link_download": true,
  "non_cod_purchase_triggers": [
    "<string>"
  ],
  "cod_purchase_triggers": [
    "<string>"
  ],
  "days_of_payment_processing": 123,
  "is_show_download_invoice": true,
  "is_show_whatsapp": true,
  "is_fuc_product_enabled": true,
  "is_fuc_bundle_enabled": true,
  "is_advanced_validation": true,
  "min_name_length": 123,
  "min_address_length": 123,
  "max_per_phone": 123,
  "max_per_ip": 123,
  "blocked_message": "<string>",
  "is_order_hard_filter": true,
  "is_customer_spam_filter": true,
  "is_ip_spam_filter": true,
  "is_spam_filter": true,
  "is_use_waba": true,
  "waba_account_id": 123,
  "greeting_message": "<string>",
  "inactivity_period": 123,
  "is_greeting_message_enabled": true,
  "auto_other_income": "<string>",
  "fixed_auto_other_income": 123,
  "other_income_name": "<string>",
  "dynamic_other_income_cod_default_amount": 123,
  "dynamic_other_income_cod_default_percentage": 123,
  "dynamic_other_income_epayment_default_amount": 123,
  "dynamic_other_income_epayment_default_percentage": 123,
  "store_courier_other_incomes": [
    {}
  ],
  "store_method_other_incomes": [
    {}
  ],
  "store_sales_people": [
    {}
  ],
  "store_custom_audiences": [
    {}
  ]
}
'
{
  "id": 123,
  "unique_id": "<string>",
  "name": "<string>",
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "business_id": 123,
  "is_active": true,
  "is_public": true,
  "logo": "<string>",
  "custom_domain": {},
  "payment_methods": [
    "<string>"
  ],
  "sub_payment_methods": [
    "<string>"
  ],
  "xendit_va_bank_codes": [
    "<string>"
  ],
  "products": [
    {
      "id": 123,
      "is_visible": true,
      "name": "<string>",
      "display": "<string>",
      "variants": [
        {
          "id": 123,
          "unique_id": "<string>",
          "fullname": "<string>",
          "sku": "<string>",
          "price": 123
        }
      ]
    }
  ],
  "bundle_price_options": [
    {
      "id": 123,
      "name": "<string>",
      "price": 123,
      "is_visible": true
    }
  ],
  "bundles": [
    {
      "id": 123,
      "bundle_price_options": [
        {
          "id": 123,
          "name": "<string>",
          "price": 123,
          "is_visible": true
        }
      ],
      "name": "<string>",
      "display": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "last_updated_at": "2023-11-07T05:31:56Z"
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

id
integer
wajib

Numeric Scalev store database ID.

Contoh:

3288

Body

application/json
name
string
is_public
boolean
custom_domain_id
integer | null
warehouse_id
integer | null
logo
string | null

Logo upload value or empty value to clear the logo.

is_auto_expire
boolean
auto_expire_days
integer
is_discount_editable
boolean
is_unique_code
boolean
max_unique_code_amount
number
is_postal_code
boolean
postal_code_requirement
enum<string>
Opsi yang tersedia:
autofill,
manual
is_customer_otp_required
boolean
is_manual_shipping_cost
boolean
is_courier_required
boolean
is_transferproof_required
boolean
is_dropshipping_allowed
boolean
is_moota_enabled
boolean
email_notification_statuses
string[]
email_reply_to_id
integer | null
email_reply_to_assignment
enum<string>
Opsi yang tersedia:
fixed,
rotator
is_email_new_order
boolean
is_email_notifications
boolean
whatsapp_notification_statuses
string[]
is_whatsapp_new_order
boolean
is_whatsapp_payment_d1_fu
boolean
is_whatsapp_payment_d2_fu
boolean
is_whatsapp_payment_last_fu
boolean
non_cod_purchase_triggers
string[]
cod_purchase_triggers
string[]
capi_purchase_value_type
enum<string>
Opsi yang tersedia:
gross_revenue,
net_revenue,
adj_gross_revenue
days_of_payment_processing
integer
is_show_download_invoice
boolean
is_show_whatsapp
boolean
is_fuc_product_enabled
boolean
is_fuc_bundle_enabled
boolean
is_advanced_validation
boolean
min_name_length
integer
min_address_length
integer
max_per_phone
integer
max_per_ip
integer
blocked_message
string
is_order_hard_filter
boolean
is_customer_spam_filter
boolean
is_ip_spam_filter
boolean
is_spam_filter
boolean
is_use_waba
boolean
waba_account_id
integer | null
greeting_message
string
inactivity_period
integer
is_greeting_message_enabled
boolean
digital_only_complete_type
enum<string>
Opsi yang tersedia:
auto,
when_settled,
manual
auto_other_income
string
fixed_auto_other_income
number
other_income_name
string
dynamic_other_income_cod_type
enum<string>
Opsi yang tersedia:
fixed,
percentage
dynamic_other_income_cod_default_amount
number
dynamic_other_income_cod_default_percentage
number
dynamic_other_income_epayment_type
enum<string>
Opsi yang tersedia:
fixed,
percentage
dynamic_other_income_epayment_default_amount
number
dynamic_other_income_epayment_default_percentage
number
store_courier_other_incomes
object[]
store_method_other_incomes
object[]
store_sales_people
object[]
store_custom_audiences
object[]

Respons

Business store

id
integer
wajib

Numeric Scalev store database ID.

unique_id
string
wajib

Public store unique ID used by storefront routes.

name
string
wajib
uuid
string<uuid>
business_id
integer
is_active
boolean
is_public
boolean
logo
string | null

Public URL for the store logo when configured.

custom_domain
object
payment_methods
string[]
sub_payment_methods
string[]
xendit_va_bank_codes
string[]
products
object[]
bundle_price_options
object[]
bundles
object[]
created_at
string<date-time>
last_updated_at
string<date-time>